# rpmdb_s Struct Reference
[RPMDB.]

`#include <rpmdb.h>`

## Data Fields

const char * | db_root
const char * | db_home
int | db_flags
int | db_mode
int | db_perms
int | db_api
const char * | db_errpfx
int | db_remove_env
int | db_filter_dups
int | db_chrootDone
void(* | db_errcall )(const char *db_errpfx, char *buffer)
FILE * | db_errfile
void *(* | db_malloc )(size_t nbytes)
void *(* | db_realloc )(void *ptr, size_t nbytes)
void(* | db_free )(void *ptr)
int | db_opens
void * | db_dbenv
int | db_ndbi
dbiIndex * | _dbi
int | nrefs

## Detailed Description

Describes the collection of index databases used by rpm.

Definition at line 305 of file rpmdb.h.

## Field Documentation

dbiIndex* rpmdb_s::_dbi

| Tag indices. Definition at line 329 of file rpmdb.h.

int rpmdb_s::db_api

| Berkeley API type Definition at line 311 of file rpmdb.h.

int rpmdb_s::db_chrootDone

| If chroot(2) done, ignore db_root. Definition at line 315 of file rpmdb.h. Referenced by db3close(), db3open(), and db_init().

void* rpmdb_s::db_dbenv

| Berkeley DB_ENV handle Definition at line 327 of file rpmdb.h. Referenced by db3close(), db3open(), and db_fini().

void(* rpmdb_s::db_errcall)(const char *db_errpfx, char *buffer)

| Referenced by db3close(), and db_init().

FILE* rpmdb_s::db_errfile

| Definition at line 318 of file rpmdb.h. Referenced by db3close(), and db_init().

const char* rpmdb_s::db_errpfx

| Definition at line 312 of file rpmdb.h. Referenced by db3close(), and db_init().

int rpmdb_s::db_filter_dups

| Definition at line 314 of file rpmdb.h.

int rpmdb_s::db_flags

| Definition at line 308 of file rpmdb.h.

void(* rpmdb_s::db_free)(void *ptr)

| Referenced by db3open().

const char* rpmdb_s::db_home

| directory path Definition at line 307 of file rpmdb.h. Referenced by db1close(), db1open(), db3close(), and db3open().

void*(* rpmdb_s::db_malloc)(size_t nbytes)

| Referenced by db3open().

int rpmdb_s::db_mode

| open mode Definition at line 309 of file rpmdb.h.

int rpmdb_s::db_ndbi

| No. of tag indices. Definition at line 328 of file rpmdb.h.

int rpmdb_s::db_opens

| Definition at line 326 of file rpmdb.h. Referenced by db3close(), and db3open().

int rpmdb_s::db_perms

| open permissions Definition at line 310 of file rpmdb.h.

void*(* rpmdb_s::db_realloc)(void *ptr, size_t nbytes)

| Referenced by db3open().

int rpmdb_s::db_remove_env

| Definition at line 313 of file rpmdb.h. Referenced by db_fini().

const char* rpmdb_s::db_root

| path prefix Definition at line 306 of file rpmdb.h. Referenced by db1close(), db1open(), db3close(), db3open(), and db_init().

int rpmdb_s::nrefs

| Reference count. Definition at line 331 of file rpmdb.h.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h